@import url('common.css');

body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-image: url('../images/nyancatbackground.jpg'); /* Fallback for older browsers */
    background-size: cover;
    background-repeat: no-repeat;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    color: white;
}

/* Feature detection for browsers that support WebP */
@supports (background-image: url('image.webp')) {
    body {
        background-image: url('../images/nyancatbackground.webp');
    }
}


main {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1em;
    text-align: center;
}

.content-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    max-width: 560px; /* Same as video max-width */
}

main h1 {
    margin-bottom: 1em;
    color: white;
}

.video-container {
    position: relative;
    width: 100%;
    padding-bottom: 56.25%; /* 16:9 aspect ratio */
    margin-bottom: 1em;
}

.video-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    max-height: 315px; /* Maximum height for the video */
}

.button-container {
    margin-top: 2em;
}

button {
    padding: 10px 20px;
    font-size: 1em;
    background-color: #6441a5;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

button:hover {
    background-color: #563d7c;
}

footer {
    text-align: center;
    padding: 1em;
}

@media (max-width: 768px) {
    .video-container iframe {
        max-width: 100%;
        max-height: calc(100vh - 200px); /* Adjust this value as needed to ensure the button remains visible */
    }

    .content-container {
        padding: 1em;
    }
}